package com.yd.dal.mapper.customer;

import com.yd.dal.entity.customer.AclCustomerMembership;

import java.util.List;

public interface AclCustomerMembershipMapper {
    int deleteByPrimaryKey(Long id);

    int insert(AclCustomerMembership record);

    int insertSelective(AclCustomerMembership record);

    AclCustomerMembership selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(AclCustomerMembership record);

    int updateByPrimaryKey(AclCustomerMembership record);

    List<AclCustomerMembership> selectByCustomerMembership(AclCustomerMembership aclCustomerMembership);
}